[package]
name = "node"
version = "0.1.0"
edition = "2024"

[lib]
crate-type = ["cdylib"]

[dependencies]
wasm-bindgen = "0.2.91"
js-sys = "0.3.68"
web-sys = { version = "0.3.68", features = [
    "Window",
    "Document",
    "HtmlElement",
    "WebSocket",
    "MessageEvent",
    "Performance",
    "console",
    "Request",
    "RequestInit",
    "Response",
    "Headers",
    "ReadableStream",
    "ReadableStreamDefaultReader",
] }
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
burn = { version = "0.14.0", features = ["wgpu", "ndarray"] }
burn-wgpu = "0.14.0"
burn-ndarray = "0.14.0"
wasm-bindgen-futures = "0.4"
console_error_panic_hook = "0.1.7"
reqwest = { version = "0.12", default-features = false, features = ["json"] }
tokenizers = { version = "0.19.1", default-features = false, features = ["unstable_wasm"] }
rexie = "0.6"
log = "0.4"
candle-core = { version = "0.8" }
candle-nn = "0.8"
candle-transformers = "0.8"
getrandom = { version = "0.3", features = ["wasm_js"] }

